<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Images</title>
    <style>
      * {
        margin: 0;
        padding: 0;
      }

      .hidden__header {
        display: none;
        visibility: hidden;
        opacity: 0;
      }

      .news__list__example {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-color: lightblue;
        margin: 30px;
        width: 500px;
        height: 500px;
      }

      #content {
        width: 400px;
        height: 250px;
        overflow: hidden;
      }

      #content > img {
        width: 100%;
        height: 100%;
        background-color: silver;
        margin-right: 1em;
        object-fit: none;

        width: 100%;
        height: 100%;
        max-width: 100%;
        max-height: 100%;
        transition: transform 0.4s ease;

        cursor: pointer;
      }

      #content > img:hover {
        transform: scale(1.05);
      }

      #object-position-1 {
        object-position: top left;
      }

      .news__details__example {
        background-color: lightblue;
        margin: 30px;
        width: 1000px;
        height: 600px;
      }

      #content__two {
        width: 800px;
        height: 500px;
      }

      #content__two > img {
        width: 100%;
        height: 100%;
        background-color: silver;
        margin-right: 1em;
        object-fit: none;

        width: 100%;
        height: 100%;
        max-width: 100%;
        max-height: 100%;
        transition: transform 0.4s ease;

        cursor: pointer;
      }

      #object-position-2 {
        object-position: top left;
      }
    </style>
  </head>
  <body>
    <div class="news__list__example">
      <h1>News List Example</h1>
      <div id="content">
        <h3 class="hidden__header">title of this images</h3>
        <img
          id="object-position-1"
          src="https://static.ibongda.com/img/sport/99999/story.png"
          class="ribbon"
        />
      </div>
    </div>

    <div class="news__details__example">
      <h1>News Details Example</h1>
      <div id="content__two">
        <img
          id="object-position-2"
          src="https://static.ibongda.com/img/sport/99999/story.png"
          class="ribbon"
        />
      </div>
    </div>
  </body>
</html>
